Page MenuHomePhabricator

Make the default language behaviour in caption display/editing the same as wikidata (for babel)
Closed, ResolvedPublic

Description

If the user has babel set up then the languages that they are shown, and the way they're edited, is not the same in MediaInfo as on wikidata. Make it be the same

AFAICS these are the rules on wikidata:

Caption language ordering:

  1. Show a caption for the interface language of the page (whether or not it has a value)
  2. If there is no caption for the interface language, show the first caption in the fallback chain that has a value (if any)
  3. If the logged-in user has Babel languages, and they haven’t already been shown, then show captions for all of them next, whether or not they have values
  4. Show everything else with a value

Caption language display:

1 and 2 will be visible on page load
3 will be made visible on js completion
1, 2 and 3 are always shown
4 will be hidden by default, and can be shown/rehidden with a click

Details

Related Gerrit Patches:

Related Objects

Event Timeline

Cparle created this task.Nov 19 2018, 5:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 19 2018, 5:28 PM

Change 475316 had a related patch set uploaded (by Jforrester; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Display captions block immediately after the file links, before the wikitext content

https://gerrit.wikimedia.org/r/475316

Cparle updated the task description. (Show Details)Nov 27 2018, 3:37 PM
Cparle moved this task from To Do to Code Review on the Multimedia-Team-Working-Board board.

Change 475316 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Display captions block immediately after the file links, before the wikitext content

https://gerrit.wikimedia.org/r/475316

Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Nov 28 2018, 10:18 PM
Ramsey-WMF closed this task as Resolved.Dec 3 2018, 5:24 PM